Skip to main content
GET
Read user

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Query Parameters

hubId
string

Fundamental entity within an organization, serving as the central point for managing various operational components. Use Use GET /hubs endpoint to get the list of Hub IDs. Example: 634e98498ce07d29474a7e29

roleId
string

The identifier for the role that generated by system. Use GET /roles API to get the list of Role IDs. Example: 621dd813eb3ebf16b94d6969

teamId
string

The identifier for the team that generated by system. Use GET /teams API to get the list of Team IDs. Example: 650151e4c8a55842604f1662

status
string

Description: Indicates the current status of a user account. When this key returns Inactive , it means that the user account has been registered for the first time but remains unverified. On the other hand, if the status is Pending , it means that the user has been invited to MileApp but has yet to complete the verification process. Finally, when the status is Active , it means that the user account is fully active, indicating that the user can access and utilize MileApp’s features. **Example: ** active

fields
string

Fields is for selecting the specific fields that you can choose by multiples to show in the response using a string with a comma delimiter. Example: name,email,status

q
string

Dynamic value to search user based on username and full name

Response

Success

The response is of type object.